<template>
    <div class="order_total" v-if="cart_data!=null && cart_data.id!=undefined &&  cart_data.cart_details.length>0">
      <h3>Order Totals</h3>
      <table width="100%" border="0" cellspacing="0" cellpadding="0">
        <tbody>
          <tr>
            <td>Initial Rent</td>
            <td>${{ ((cart_data.total_amount - cart_data.admin_fee-cart_data.refundable_amount-cart_data.shipping_charge)*1).toFixed(2) }}</td>
          </tr>
          <tr>
            <td>Delivery</td>
            <td>${{(cart_data.shipping_charge*1).toFixed(2)}}</td>
          </tr>
          <tr v-if="Number(cart_data.refundable_amount)>0">
            <td>Refundable Bond</td>
            <td>${{ (cart_data.refundable_amount*1).toFixed(2) }}</td>
          </tr>
          <tr>
            <td>Admin Fee</td>
            <td>${{ (cart_data.admin_fee*1).toFixed(2) }}</td>
          </tr>
          <tr>
            <td><b class="total_txt">Total</b></td>
            <td>${{ (cart_data.total_amount*1).toFixed(2) }}</td>
          </tr>
          <tr>
            <td colspan="2" v-if="move_to_checkout"><a href="javascript:;" class="btn" @click="updateQty()">CHECKOUT</a> <a href="javascript:;" @click="moveToShopping()" class="btn btn-primary">CONTINUE SHOPPING</a></td>
          </tr>
        </tbody>
      </table>
      <location-confirmation ref="alertMsg" 
              width="600"
              :confirm_button_color="'#FFFF00'"
              :cancel_button_color="'grey'"
              :show_close="false"
              msg="Some Products not available in your location <br>Please remove that items to confirm your order" 
              @confirm="()=>{this.$refs.alertMsg.view = false;}"
        ></location-confirmation>
    </div>
</template>
<script>
import LocationConfirmation from '~/components/front-end/LocationConfirmation.vue';
import cloneDeep from 'lodash';
export default {
    components : {LocationConfirmation},
    props : {
      cart_data : {
        default : null,
      },
      move_to_checkout : {
        default : true,
      }
    },
    data() {
        return  {
            error_msg : "",
        }
    },
    methods : {
        moveToShopping() {
          this.$axios.$post('/api/update-cart-qty',this.cart_data)
            .then((resp)=>{
              window.location.href="/"; 
            })
        },
        checkProductAvailable() {
            let not_available_product = this.cart_data.cart_details.findIndex(x=>x.not_available==true);
            if(not_available_product>=0) {
                this.$refs.alertMsg.view = true;
                return false;
            }
            if(this.move_to_checkout) {
             window.location.href="/cart/checkout-1"; 
            }
            else {
              this.$emit('confirm-order');
            }
        },
        updateQty() {
            this.$axios.$post('/api/update-cart-qty',this.cart_data)
            .then((resp)=>{
                this.checkProductAvailable();
            })
        }
    }
}
</script>